Debian Bug report logs - #352537
ITA: rosegarden2 -- An integrated MIDI sequencer and musical notation editor

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sun, 12 Feb 2006 16:33:09 UTC

Owned by: Mike O'Connor <stew@vireo.org>

Severity: normal

Tags: patch

Fixed in version rosegarden/1:1.2.3-1

Done: Free Ekanayaka <freee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352537; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: rosegarden2 -- An integrated MIDI sequencer and musical notation editor
Date: Sun, 12 Feb 2006 17:22:48 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of rosegarden2, Enrique Robledo Arnuncio
<era@debian.org>, has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: rosegarden2
Binary: rosegarden2
Version: 2.1pl4-2.1
Priority: extra
Section: sound
Maintainer: Enrique Robledo Arnuncio <era@debian.org>
Build-Depends: debhelper (>= 3.0.0), autoconf, libx11-dev, libxmu-dev, libxt-dev, x-dev, xaw3dg-dev
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/r/rosegarden2
Files:
 f9d09a85aa227974e90861f630d74104 657 rosegarden2_2.1pl4-2.1.dsc
 1fdc6f564b6ee2fcef6a7d86ad79fa4f 558091 rosegarden2_2.1pl4.orig.tar.gz
 aae91a4bbc390692c033808c1fe862a0 32608 rosegarden2_2.1pl4-2.1.diff.gz

Package: rosegarden2
Priority: extra
Section: sound
Installed-Size: 1020
Maintainer: Enrique Robledo Arnuncio <era@debian.org>
Architecture: i386
Version: 2.1pl4-2.1
Replaces: rosegarden (<< 2.1pl4)
Provides: rosegarden
Depends: libc6 (>= 2.3.5-1), libice6, libsm6, libx11-6, libxext6, libxmu6, libxpm4, libxt6, xaw3dg (>= 1.5+E-1)
Conflicts: rosegarden (<< 2.1pl4)
Filename: pool/main/r/rosegarden2/rosegarden2_2.1pl4-2.1_i386.deb
Size: 391710
MD5sum: 003556fccb0f2e84ebd2d2aaf4cde672
Description: An integrated MIDI sequencer and musical notation editor
 Rosegarden 2 (X11 Rosegarden) is a free integrated musical notation
 editor and MIDI sequencer for Unix/X platforms, with specific support
 for Linux PCs and SGI IRIX workstations.
 .
 Rosegarden 2 is a very old applicaton no longer in development. You
 will probably want to use its reincarnation, Rosegarden 4, which is
 being developed as a KDE/Qt application. A beta version is available
 in the rosegarden4 Debian package. See the Rosegarden Web page at
 http://www.rosegardenmusic.com/ for more information.
Tag: interface::x11, role::sw:application, sound::midi, uitoolkit::athena, use::editing, works-with::music-notation, x11::application


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352537; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 352537@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: 352537@bugs.debian.org
Subject: Re: O: rosegarden2 -- An integrated MIDI sequencer and musical notation editor
Date: Thu, 16 Feb 2006 19:46:05 +0100
[Message part 1 (text/plain, inline)]
Is there a reason why this package is being orphaned instead of being
removed from Debian? As I see it, Rosegarden 4 is a complete replacement
for Rosegarden 2. If so then there is no need to keep Rosegarden 2
around.

-- 
Met vriendelijke groet / with kind regards,
    Guus Sliepen <guus@sliepen.eu.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352537; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #13 received at 352537@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Mike O'Connor <stew@vireo.org>, 352537@bugs.debian.org, 352537@bugs.debian.org
Cc: debian-multimedia@lists.debian.org
Subject: Re: [Fwd: RFC/RFS: rosegarden4: music editor and MIDI/audio sequencer]
Date: Mon, 20 Mar 2006 09:10:56 +0900
Hi,

> > Cool.  I didn't realize that rosegarden4 was orphaned at all.
> > I am interested in getting this thing updated in Debian.
> > 
> > I prefer working out of a svn/cvs repos rather than shifting around 
> > whole packages.
> 
> I ran svn-inject, and my package is here:
> 
> svn://svn.vireo.org/rosegarden/rosegarden4

Humph, I was hoping that you'd inject it to somewhere like the demudi
repos so that I can have read/write access.

Free, are you fine with the idea of using
http://svn.debian.org/wsvn/demudi for rosegarden as well?

> > I've looked at rosegarden4 sources and it blew my mind away; it's
> > using 'scons' for building, and decided to throw away
> > autoconf/automake/Makefile set up ?
> 
> yeah.  Don't konw what the motivation was there.  The rosegarden-devel
> list is already talking about possibly moving from scons to something
> else:
> 
> http://sourceforge.net/mailarchive/forum.php?thread_id=9886891&forum_id=271

Yikes.

> > How did you handle the 'rosegarden' -> 'rosegarden4' rename that was
> > probably Debian-local, did you just throw it away?
> > 
> 
> In my current packaging I have kept the debian specific renaming from
> rosegarden -> rosegarden4, however I'm hoping this won

Hmm... ?

Anyway, there's going to be a 'rosegarden' and probably a
compatibility 'rosegarden4' symlink.
We can make rosegarden4 or rosegarden a dummy package, and 
use either one.

rosegarden2 can be removed. It is a very different beast, and there
might be users, but really, I don't think it's too good an idea to
keep something that is only of an archaeological interest.


I'm cc'ing the respective bugreports as a final call that
rosegarden/rosegarden2 are going to be removed in favor of
rosegarden4, and that 'rosegarden' will be a dummy pointing to
rosegarden4.


regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352537; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352537; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <free@miu-ft.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #23 received at 352537@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <free@miu-ft.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: Mike O'Connor <stew@vireo.org>, 352537@bugs.debian.org, debian-multimedia@lists.debian.org
Subject: Re: [Fwd: RFC/RFS: rosegarden4: music editor and MIDI/audio sequencer]
Date: Mon, 20 Mar 2006 11:50:28 +0100
|--==> Junichi Uekawa writes:

  JU> Anyway, there's going to be a 'rosegarden' and probably a
  JU> compatibility 'rosegarden4' symlink.
  JU> We can make rosegarden4 or rosegarden a dummy package, and 
  JU> use either one.

  JU> rosegarden2 can be removed. It is a very different beast, and there
  JU> might be users, but really, I don't think it's too good an idea to
  JU> keep something that is only of an archaeological interest.

Yes, I agree.  A the upstream source name is "rosegarden", for sake of
semplicity I'd   set  "rosegarden" as the   new  package name  for the
bleeding-edge  upstream, and  turn  "rosegarden4"  into  a pointer  to
"rosegarden".

Free




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352537; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@vireo.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #28 received at 352537@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@vireo.org>
To: 352537@bugs.debian.org
Cc: 352543@bugs.debian.org, 352541@bugs.debian.org
Subject: rosegarden{,2,4] in NEW queue
Date: Tue, 13 Jun 2006 15:35:21 -0400
tags 352537 patch 
tags 352543 patch
tags 352537 pending
tags 352543  pending
owner 352537 !
owner 352543 !

thanks to all my readers

With the help of the debian-multimedia team, I have created new
rosegarden / rosegarden2 / rosegarden4 packages.  rosegarden will now be
rosegarden4 (the only version maintained upstream), rosegarden4 and
rosegarden2 will be dummy packages depending on rosegarden.

Currently these packages are sitting in the NEW queue.

cheers,
stew




Tags added: patch Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Mike O'Connor <stew@vireo.org>. Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Free Ekanayaka <freee@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 352537-close@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <freee@debian.org>
To: 352537-close@bugs.debian.org
Subject: Bug#352537: fixed in rosegarden 1:1.2.3-1
Date: Thu, 15 Jun 2006 05:50:09 -0700
Source: rosegarden
Source-Version: 1:1.2.3-1

We believe that the bug you reported is fixed in the latest version of
rosegarden, which is due to be installed in the Debian FTP archive:

rosegarden-data_1.2.3-1_all.deb
  to pool/main/r/rosegarden/rosegarden-data_1.2.3-1_all.deb
rosegarden2_1.2.3-1_all.deb
  to pool/main/r/rosegarden/rosegarden2_1.2.3-1_all.deb
rosegarden4_1.2.3-1_all.deb
  to pool/main/r/rosegarden/rosegarden4_1.2.3-1_all.deb
rosegarden_1.2.3-1.diff.gz
  to pool/main/r/rosegarden/rosegarden_1.2.3-1.diff.gz
rosegarden_1.2.3-1.dsc
  to pool/main/r/rosegarden/rosegarden_1.2.3-1.dsc
rosegarden_1.2.3-1_amd64.deb
  to pool/main/r/rosegarden/rosegarden_1.2.3-1_amd64.deb
rosegarden_1.2.3.orig.tar.gz
  to pool/main/r/rosegarden/rosegarden_1.2.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 352537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Free Ekanayaka <freee@debian.org> (supplier of updated rosegarden package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Jun 2006 12:26:53 +0200
Source: rosegarden
Binary: rosegarden2 rosegarden4 rosegarden-data rosegarden
Architecture: source all amd64
Version: 1:1.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Changed-By: Free Ekanayaka <freee@debian.org>
Description: 
 rosegarden - music editor and MIDI/audio sequencer
 rosegarden-data - music editor and MIDI/audio sequencer data files
 rosegarden2 - music editor and MIDI/audio sequencer
 rosegarden4 - music editor and MIDI/audio sequencer
Closes: 219286 233437 299390 299390 311087 341660 352537 352541 352543 354784 354786
Changes: 
 rosegarden (1:1.2.3-1) unstable; urgency=low
 .
   [Mike O'Connor]
   * New Maintainer (Closes: #352541, #352537, #352543)
   * New upstream version (Closes: #354784, #354786)
   * New package source name, simply "rosegarden" instead of "rosegarden4". The former
     rosegarden4 source package should be removed from the archive, while the existing
     "rosegarden" source package should be replaced by this new version.
   * New versioning scheme: using the epoch to allow smooth upgrades from the legacy
     rosegarden and rosegarden2 binary packages, whose upstream is now
     completely discontinued.
   * No longer building a verbose debug version (Closes: #311087)
   * Fixed typo in manpage (Closes: #341660)
   * Split arch-indep files into a rosegarden4-data pacakge (Closes: #233437)
   * The upstream menu icon is now included (Closes: #299390)
   * Moved jackd from Depends: to Recommends: (Closes: #219286)
 .
   [Free Ekanayaka]
   * Using dpatch to manage changes to upstream code
   * Copy the .desktop file to /usr/share/applications too, so that it
     appears in the GNOME menu too
   * Menu icon included by the upstream (Closes: #299390)
   * Added watch file
Files: 
 d35f5ae3a060f7eaf2bed4605dac899f 892 sound optional rosegarden_1.2.3-1.dsc
 db420e518f270d8e546abad0506a3577 6161194 sound optional rosegarden_1.2.3.orig.tar.gz
 abaa6dc952b1ca36794515d1751daeef 12633 sound optional rosegarden_1.2.3-1.diff.gz
 752944801a334d4efaccc8be134b8b96 3506166 sound optional rosegarden_1.2.3-1_amd64.deb
 8e7b18b1efe1ff53dcf3dd5e76c14b66 5874 sound optional rosegarden2_1.2.3-1_all.deb
 323166b7037ec5079602dbd070cafb0e 5874 sound optional rosegarden4_1.2.3-1_all.deb
 5d65ac752e849b6c609006fb407346f8 2007198 sound optional rosegarden-data_1.2.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEjVKKcanJGlcVnlkRAlEbAJ47yUnlOzKPIqz5znllzvBeZcGmvACcD7Jw
G2nSrsM5xRcf4zrmljga1XQ=
=0Xgh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 01:33:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:09:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.